﻿@model ArmatureProject.Models.OrderCreateModel
@{
    ViewBag.Title = "Create";
}


<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
@using (Html.BeginForm("Create", "Order", FormMethod.Post, new { enctype = "multipart/form-data", @name = "orderSave", @id = "orderSave" }))
{




    <div class="col-lg-12">
        <div class="col-xs-4">
            <h2>Create</h2>
        </div>
        <div class="col-xs-8" style="text-align: end">
            <input type="button" value="ბოლო ორდერის ძებნა" id="SearchLast" />
        </div>
    </div>


    <hr />
    <div class="container">
        <div class="DriverAdder">
            <div class="col-lg-12">
                <div class="col-xs-4">
                    <dl class="dl-horizontal">
                        <dt>
                            @Html.DisplayName("მძღოლი:")
                        </dt>
                        <dd>
                            <select id="Driver" name="driver" multiple class="selectpicker">
                                @foreach (var item in Model.DriverList.OrderByDescending(x => x.Id))
                                {
                                    <option value="@item.Id">@item.FirstName @item.LastName (@item.PersonalN)</option>
                                }  
                            </select> 
                        </dd>
                    </dl>
                </div>
                <div class="col-xs-4">
                    <dl class="dl-horizontal">
                        <dt>
                            @Html.DisplayName("კომპანია:")
                        </dt>

                        <dd>
                            <select id="Company" name="company" class="form-control">
                                @foreach (var item in Model.CompanyList)
                                {
                                    <option value="@item.Id">@item.Title</option>
                                }
                            </select>
                        </dd>
                        <dt>
                            @Html.DisplayName("ტიპი:")
                        </dt>
                        <dd>
                            @{
                                string text;
                                if (Model.CompanyList[0].Type == 0)
                                {
                                    text = "ფიზიკური პირი";
                                }
                                else
                                {
                                    text = "იურიდიული პირი";
                                }

                            }
                            <input type="text" class="form-control text-box single-line" id="Type" name="CompanyType" value="@text" readonly="readonly" placeholder="ფასი"/>
                        </dd>
                        <dt>
                            @Html.DisplayName("ნომერი:")
                        </dt>
                        <dd>
                            <input type="text" class="form-control text-box single-line" id="Number" name="CompanyNumber" value="@Model.CompanyList[0].IdNumber" readonly="readonly" placeholder="ფასი"/>
                        </dd>
                        <dt>
                            @Html.DisplayName("მისამართი:")
                        </dt>
                        <dd>
                            <select id="companyAddress" name="companyAddress" class="form-control">
                                @foreach (var item in Model.CompanyList[0].CompanyAddressList)
                                {
                                    <option value="@item.Id">@item.Address</option>
                                }
                            </select>

                            @*<input type="text" class="form-control text-box single-line" id="Address" name="CompanyAddress" value="@Model.CompanyList[0].Address" readonly="readonly" placeholder="ფასი"/>*@
                        </dd>
                    </dl>
                </div>

                <div class="col-xs-4">
                    <dl class="dl-horizontal">
                        <dt>
                            @Html.DisplayName("შექმნის თარიღი:")
                        </dt>
                        <dd>
                            <input type="date" class="form-control text-box single-line" id="CreateDate" name="orderDate" value="@DateTime.Now.ToString("yyyy-MM-dd")" placeholder="შექმნის თარიღი"/>
                        </dd>
                    </dl>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xs-2">
        <input type="checkbox" name="isPaid" id="IsPaid" value='true' />გადახდილია?
    </div>
    <div class="col-xs-2">
        <input type="checkbox" name="isBuyer" id="IsBuyer" value='true' />მყიდველია?
    </div>
    <div class="col-xs-2">
        <input type="checkbox" name="khamut" id="Khamut" value='true' />ხამუტები
    </div>
    <div class="col-xs-2">
        <input type="checkbox" name="theoretical" id="Theoretical" value='true' />თეორიული
    </div>
    <div class="col-xs-4">
        <input type="text" class="form-control text-box single-line" id="Comment" name="comment" placeholder="კომენტარი" />
    </div>
        <hr />
        <div>


            <div class="col-lg-12">
                <div class="col-xs-4">
                    <H3>არმატურის დიამეტრები</H3>
                </div>
                <div class="col-xs-8" style="text-align: end">
                    <Br />
                    <label id="armatureCounter">არმატურების რაოდენობის ჯამი - 0</label>
                </div>
            </div>

            <input type="button" value="დამატება" style="margin-bottom:20px" onclick="add_AlbumDiv()" />

        </div>

        <div class="container">
            <div id="armature">
                <div id="armatures[0]" class="col-lg-12 counterArmature">
                    <div class="col-xs-1">
                        <input type="button" class="btn btn-danger btnDelete" id="btnDelete" name="0" value="წაშლა" />
                    </div>
                    <div class="col-xs-2">
                        <select id="Profile" name="armatures[0].ProfileId" class="form-control">
                            @foreach (var item in Model.ArmatureProfileList)
                            {
                                <option value="@item.Id">@item.Name</option>
                            }
                        </select>

                    </div>
                    <div class="col-xs-2">
                        <input type="text" class="form-control text-box single-line armatureAmountCount" id="ArmatureAmount" name="armatures[0].Amount" placeholder="რაოდენობა" />
                    </div>
                 

                    <div class="col-xs-3">
                        <select id="Length" name="armatures[0].LengthId" class="form-control">
                            @foreach (var item in Model.ArmatureLenghtList)
                            {
                                <option value="@item.Id">@item.Name</option>
                            }

                        </select>
                    </div>
                    <div class="col-xs-2">
                        <input type="text" class="form-control text-box single-line armatureComment" id="ArmatureComment" name="armatures[0].Comment" placeholder="კომენტარი" />
                    </div>
                    <div class="col-xs-2">
                        <input type="checkbox" class="armatureGlinulaCount" id="ArmatureGlinula" value='true' name="armatures[0].Glinula" />დახვეული
                    </div>
                </div>
            </div>
        </div>
            <div>
                <dl>
                    <dt>
                        <H3 style="margin-left:30px">ღირებულება</H3>
                    </dt>
                    <dd>
                        <input type="button" value="დამატება" onclick="add_AlbumDiv1()" />
                    </dd>
                </dl>
            </div>
            <div class="container">
                <div id="orderDetailDiv">
                    <div class="col-lg-12 orderDetailCount" style="margin-bottom: 15px">
                        <div class="col-xs-4">
                            <select id="detailLength" name="orderDetails[0].LengthId" class="form-control">
                                @foreach (var item in Model.ArmatureLenghtList)
                                {
                                    <option value="@item.Id">@item.Name</option>
                                }

                            </select>
                        </div>
                        <div class="col-xs-4">
                            <input type="text" class="form-control text-box single-line" id="EnterDate" name="orderDetails[0].Price" placeholder="ფასი" />
                        </div>
                        <div class="col-xs-4">
                            <input type="text" class="form-control text-box single-line" id="EnterDate" name="orderDetails[0].Comment" placeholder="კომენტარი" />
                        </div>
                    </div>
                </div>
            </div>
            <hr />
            <br />
            <p>
                <div class="form-group">
                    <div class="col-md-offset-2 col-md-10">
                        <input type="submit" value="Create" class="btn btn-default" />
                    </div>
                </div>
                @Html.ActionLink("Back to List", "Index")
            </p>

                            }

<script>





            @*
                <div class="container">
            <div class="col-xs-3">

            </div>
                <div class="col-lg-9" style="margin-bottom:15px">
                <div class="col-xs-3" hidden="hidden">
                    <input type="date" class="form-control text-box single-line nbgDate" id="nbgDate4" name="orderDetails[3].Date" placeholder="თარიღი" />
                </div>
                <div class="col-xs-3" hidden="hidden">
                    <input type="number" step="0.0001" class="form-control text-box single-line" id="nbgRate4" name="orderDetails[3].NbgRate" placeholder="NBG კურსი" />
                </div>
                <div class="col-xs-3">
                    <input type="text" class="form-control text-box single-line" id="EnterDate" name="orderDetails[3].Price" placeholder="ფასი" />
                </div>
                <div class="col-xs-3">
                    <input type="text" class="form-control text-box single-line" id="EnterDate" name="orderDetails[3].Comment" placeholder="კომენტარი" />
                    <input type="hidden" class="form-control text-box single-line" id="EnterDate" name="orderDetails[3].LengthId" value="1" />
                </div>
            </div>
        </div>*@

    function add_AlbumDiv1() {
        var divCount = $(".orderDetailCount").length;

        $('#orderDetailDiv').append(

            '<div class="col-lg-12 orderDetailCount" style="margin-bottom: 15px">' +
            '<div class="col-xs-4">' +
            '<select id="Length" name="orderDetails[' + divCount + '].LengthId" class="form-control">' +
            '<option value="1">12 მეტრი (სტანდარტული, ძირითადი სიგრძე)</option>' +
            '<option value="2">3-დან 11 მეტრამდე (არასტანდარტული)</option>' +
            '<option value="3">1.5-დან 3 მეტრამდე (არასტანდარტული)</option>' +
            '</select>' +
            '</div>' +
            '<div class="col-xs-4">' +
            '<input type="text" class="form-control text-box single-line" id="EnterDate" name="orderDetails[' + divCount + '].Price" placeholder="ფასი" />' +
            '</div>' +
            '<div class="col-xs-4">' +
            '<input type="text" class="form-control text-box single-line" id="EnterDate" name="orderDetails[' + divCount + '].Comment" placeholder="კომენტარი" />' +
            '</div>' +
            '</div>'
            );

    }


            function add_AlbumDiv() {
                var divCount = $(".counterArmature").length;

                $('#armature').append(
                    '<div id="armatures[' + divCount + ']"  class="col-lg-12 counterArmature">' +
                    '<div class="col-xs-1">' +
                    '<input type="button" class="btn btn-danger btnDelete" id="btnDelete" name="' + divCount +'" value="წაშლა"/>'+
                    '</div>'+
                    '<div class="col-xs-2">'+
                    '<select id="Profile" name="armatures[' + divCount + '].ProfileId" class="form-control">' +
                    '<option value="1">6,5 გლინულა</option>' +
                    '<option value="2">8 მმ გლინულა</option>' +
                    '<option value="10">8 მმ</option>' +
                    '<option value="3">10 მმ</option>' +
                    '<option value="4">12 მმ</option>' +
                    '<option value="5">14 მმ</option>' +
                    '<option value="11">16 მმ</option>' +
                    '<option value="12">18 მმ</option>' +
                    '<option value="13">20 მმ</option>' +
                    '<option value="6">22 მმ</option>' +
                    '<option value="7">25 მმ</option>' +
                    '<option value="8">28 მმ</option>' +
                    '<option value="9">32 მმ</option>' +
                    '</select>' +
                    '</div>' +
                    '<div class="col-xs-2">' +
                    '<input type="text" class="form-control text-box single-line armatureAmountCount" id="EnterDate" name="armatures[' + divCount + '].Amount" placeholder="რაოდენობა" />' +
                    '</div>' +
                    '<div class="col-xs-3">' +
                    '<select id="Length" name="armatures[' + divCount + '].LengthId" class="form-control">' +
                    '<option value="1">12 მეტრი (სტანდარტული, ძირითადი სიგრძე)</option>' +
                    '<option value="2">3-დან 11 მეტრამდე (არასტანდარტული)</option>' +
                    '<option value="3">1.5-დან 3 მეტრამდე (არასტანდარტული)</option>' +
                    '</select>' +
                    '</div>' +
                    '<div class="col-xs-2">' +
                    '<input type="text" class="form-control text-box single-line armatureComment" id="EnterDate" name="armatures[' + divCount + '].Comment" placeholder="კომენტარი" />' +
                    '</div>' +
                    '<div class="col-xs-2">'+
                    '<input type="checkbox" class="armatureGlinulaCount" id="ArmatureGlinula"  value="true" name="armatures[' + divCount + '].Glinula" />დახვეული ' +
                    '</div>' +
                    '</div>'
                );

                DeleteRowInArmature();
                AddInputListener();
            }
</script>
